<?php

namespace Luticate\Auth\DataAccess;

use Luticate\Utils\LuDataAccess;
use Luticate\Auth\DataAccess\Models\LuticateGroups;
use Luticate\Auth\DBO\LuticateGroupsDbo;

class LuticateGroupsDataAccess extends LuDataAccess {
    protected static function getModel()
    {
        return new LuticateGroups();
    }

    /**
     * @param $group_name
     * @return LuticateGroupsDbo|null
     */
    public static function getByName($group_name)
    {
        $group = LuticateGroups::where("name", "=", $group_name)->first();
        if (is_null($group))
            return null;
        return $group->toDbo();
    }

    public static function addUser($user_id, $group_id)
    {
        LuticateGroups::find($group_id)->users()->attach($user_id);
        return true;
    }

    public static function delUser($user_id, $group_id)
    {
        LuticateGroups::find($group_id)->users()->detach($user_id);
        return true;
    }

    public static function hasUser($user_id, $group_id)
    {
        return !is_null(LuticateGroups::find($group_id)->users()->find($user_id));
    }
}